## googleearth-package 0.7.0

=== Makefile ===
all: make-googleearth-package.1

clean:
	rm -f make-googleearth-package.1

%.1: %.1.txt
	asciidoc -b docbook -d manpage $<
	docbook2x-man $*.1.xml
	rm -f $*.1.xml

## googleearth-package 0.0.4

=== debian/changelog ===
googleearth-package (0.0.4) unstable; urgency=low

  * Make README.Debian actually get installed

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 27 Nov 2006 11:32:03 -0700

googleearth-package (0.0.3) unstable; urgency=low

  * Changed font dependency to allow ttf-dejavu or ttf-bitstream-vera
    (fixes the second bug from already closed #378082)

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 27 Nov 2006 09:23:47 -0700

googleearth-package (0.0.2) unstable; urgency=low

  * Add a README.Debian explaining how to use the package (closes: #378082)
  * Ensure files are created with the correct permissions (closes: #381510)
  * make-googlearth-package script will now fail if any of its commands fail
  * Change ownership of packaged files to root more efficiently
  * Build googleearth.deb with dpkg-deb (closes: #378424)
  * Correct permissions of shipped shared libraries & other files (partialy
    addresses #378362)
  * Generate correct shared library dependencies & build-depend on the relevant
    library packages for shlibs info (closes: #378510)
  * Add freedesktop.org desktop entry file and shared mime info file
    (closes: #382685)
  * Add KDE MIME database entry; thanks Patrick Valsecchi (closes: #383046)

 -- Sam Morris <sam@robots.org.uk>  Sun, 26 Nov 2006 22:49:46 +0000

googleearth-package (0.0.1) unstable; urgency=low

  * Initial Release (closes: 374373)
    + Tested and works with at least Google Earth 4.0.1563
    + Should work with any new version with the same installer

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 12 Jul 2006 08:54:16 -0600

=== debian/control ===
Source: googleearth-package
Section: contrib/misc
Priority: optional
Maintainer: Wesley J. Landaker <wjl@icecavern.net>
Build-Depends: debhelper (>= 5), libfontconfig1, libfreetype6, libice6, libsm6, libx11-6, libxcursor1, libxext6, libxft2, libxrender1, libgl1-mesa-glx | libgl1
Standards-Version: 3.7.2

Package: googleearth-package
Architecture: all
Depends: wget | curl, dpkg-dev, fakeroot
Description: utility to automatically build a Debian package of Google Earth
 Google Earth is available for GNU/Linux from their web site, but is
 not only not Free Software, but is completely undistributable by a
 third party.
 .
 This utility makes it possible to build your own personal Debian
 package of Google Earth. The packaging itself is Free Software, but
 the Google Earth program is governed by the copyright holder (Google),
 so you may be limited as to what you can do with the resulting
 package (i.e. no redistribution, etc). This package will simply help
 you create the package--it is your responsibility to use the resulting
 package responsibly.
 .
 Google Earth's homepage is located at <http://earth.google.com>.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/googleearth-package

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -m755 -D make-googleearth-package $(DESTDIR)/usr/bin/make-googleearth-package

# Build architecture-dependent files here.
binary-arch: install

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs 
	dh_installman debian/make-googleearth-package.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## googleearth-package 0.2.0

=== debian/changelog ===
googleearth-package (0.2.0) unstable; urgency=low

  * Emphasize in Debian.README that problems with Google Earth itself are
    not in the domain of googleearth-package (closes: #424921)
  * Add --download, --cleanup, and --quiet (closes: #425798, #378504)
  * Add msttcorefonts as an alternative font dependency (closes: 419718)
  * Updated man page to reflect new options and fix some typos.

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 29 May 2007 09:49:28 -0600

googleearth-package (0.1.0) unstable; urgency=low

  * Now support both Google Earth 4.0 and 4.1
  * Try to guess the version if --force is used, otherwise use
    a default version string that indicates that the version
    could not be parsed (closes: #423421)

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri, 11 May 2007 16:26:11 -0600

googleearth-package (0.0.8) unstable; urgency=low

  * Put bzip2 in the depends, not the build-depends (really closes: #402641)
  * Nuked some other build-depends that don't make sense anymore.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 26 Apr 2007 16:40:34 -0600

googleearth-package (0.0.7) unstable; urgency=low

  * Include this package version information in make-googleearth-package
    and in generated packages (closes: #421109)

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 26 Apr 2007 16:22:01 -0600

googleearth-package (0.0.6) unstable; urgency=low

  * Make --file option work with a relative pathname (closes: #406740)
  * Don't try to build on non-x86 unless --force'd (closes: #416457)
  * Add missing dependency on bzip2 (closes: #402641)

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 17 Apr 2007 19:17:34 -0600

googleearth-package (0.0.5) unstable; urgency=low

  * Use DEBEMAIL and DEBFULLNAME env variables as defaults (closes: #400941)

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat,  9 Dec 2006 09:22:37 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: contrib/misc
 Priority: optional
 Maintainer: Wesley J. Landaker <wjl@icecavern.net>
-Build-Depends: debhelper (>= 5), libfontconfig1, libfreetype6, libice6, libsm6, libx11-6, libxcursor1, libxext6, libxft2, libxrender1, libgl1-mesa-glx | libgl1
+Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 
 Package: googleearth-package
 Architecture: all
-Depends: wget | curl, dpkg-dev, fakeroot
+Depends: wget | curl, dpkg-dev, fakeroot, bzip2
 Description: utility to automatically build a Debian package of Google Earth
  Google Earth is available for GNU/Linux from their web site, but is
  not only not Free Software, but is completely undistributable by a

## googleearth-package 0.5.2

=== debian/changelog ===
googleearth-package (0.5.2) unstable; urgency=medium

  * Fixed version number to match package version.
  * Added Vcs-Bzr header to point to development trunk.
  * Removed AUTHOR section from manpage, it's not really useful.
  * Cleaned up debian/rules formatting.
  * Updated to policy 3.7.3

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 31 Jan 2008 19:29:35 -0700

googleearth-package (0.5.1) unstable; urgency=medium

  * Fixed typo in wrapper script that prevented googleearth from launching.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 27 Jan 2008 22:27:46 -0700

googleearth-package (0.5.0) unstable; urgency=low

  * Updated for the new dpkg-shlibdeps (closes: #460544, #458050, #451822)
  * Fixed malformed .desktop entry file (closes: #462650)
    Thanks to Pino Toscano <toscano.pino@tiscali.it> for the patch
  * Ensured that spawned processes don't get local libraries (closes: #459368)
    Thanks to Jindrich Makovicka <makovick@gmail.com> for the suggestion

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 27 Jan 2008 22:27:32 -0700

googleearth-package (0.4.3) unstable; urgency=low

  * Clearer pointers to upstream help (closes: #443607)

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 02 Oct 2007 17:15:34 -0600

googleearth-package (0.4.2) unstable; urgency=low

  * Fix typo in amd64 support part of script (closes: #444964)

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 02 Oct 2007 16:21:21 -0600

googleearth-package (0.4.1) unstable; urgency=low

  * Fix part of forced --download logic that was incorrect.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 29 Sep 2007 18:15:36 -0600

googleearth-package (0.4.0) unstable; urgency=low

  * Despite being very hackish, by popular nagging we now can build packages
    without --force on amd64/ia64 with ia32-libs (closes: #439144) (again!).
  * Cleaned up dependencies for allow the above to work a bit more cleanly.

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 19 Sep 2007 08:36:18 -0600

googleearth-package (0.3.3) unstable; urgency=low

  * Added anti-setguid hack (closes: #429861)
  * Blurb about i386 restrictions in README.Debian (closes: #439144)

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 18 Sep 2007 17:29:17 -0600

googleearth-package (0.3.2) unstable; urgency=low

  * Put manpage in "upstream" part, since it's not debian specific.
  * Now builds manpage with asciidoc and docbook2x.
  * Updated to GPL v3 or later.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 25 Aug 2007 16:21:46 -0600

googleearth-package (0.3.1) unstable; urgency=low

  * Minor script cleanup.

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri, 24 Aug 2007 08:53:47 -0600

googleearth-package (0.3.0) unstable; urgency=low

  * Now supports Google Earth 4.2 (closes: #439141)
  * No longer installs EULA files; they don't exist with 4.2 anyway

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 22 Aug 2007 17:20:10 -0600

googleearth-package (0.2.2) unstable; urgency=low

  * Add file to depends (closes: #439032)

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 21 Aug 2007 16:40:04 -0600

googleearth-package (0.2.1) unstable; urgency=low

  * Updated to new menu structure (closes: #438153)

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 15 Aug 2007 17:16:18 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: contrib/misc
 Priority: optional
 Maintainer: Wesley J. Landaker <wjl@icecavern.net>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5), asciidoc, docbook2x
+Standards-Version: 3.7.3
+Vcs-Bzr: http://wjl.icecavern.net/bzr/googleearth-package/trunk/
 
 Package: googleearth-package
 Architecture: all
-Depends: wget | curl, dpkg-dev, fakeroot, bzip2
+Depends: wget | curl, dpkg-dev, fakeroot, bzip2, file, x11-common, ia32-libs [amd64 ia64]
 Description: utility to automatically build a Debian package of Google Earth
  Google Earth is available for GNU/Linux from their web site, but is
  not only not Free Software, but is completely undistributable by a

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/googleearth-package

build:
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -m755 -D make-googleearth-package $(DESTDIR)/usr/bin/make-googleearth-package

binary-arch: install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs 
	dh_installman make-googleearth-package.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## googleearth-package 0.5.4

=== debian/changelog ===
googleearth-package (0.5.4) unstable; urgency=low

  * Support Google Earth 4.3
  * We have to revert to using LD_LIBRARY_PATH instead of ld-linux.so.2,
    otherwise Google Earth 4.3 can't work. There isn't any workaround
    known at this time.
  * Revert --quiet being the default. This totally messes up being able
    to get error messages. The default verboseness problem is postponed
    for a new major version release.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 17 Apr 2008 19:47:32 -0600

googleearth-package (0.5.3) unstable; urgency=low

  * Added --verbose and made --quiet the default (closes: #466589)

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri, 22 Feb 2008 15:54:59 -0700

## googleearth-package 0.5.4.1~0ubuntu1

=== debian/changelog ===
googleearth-package (0.5.4.1~0ubuntu1) jaunty; urgency=low

  * Support Google Earth 5.0
  * Drop the libcrypto provided by the package to use our own in order to
    avoid symbol clashes
  * Remove obsolete code about mailto-scripts
  * Add lib32nss-mdns to Depends for amd64/ia64
  * Bump Standard Version to 3.8.0

 -- Fabien Tassin <fta@ubuntu.com>  Tue, 17 Feb 2009 15:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: googleearth-package
 Section: contrib/misc
 Priority: optional
-Maintainer: Wesley J. Landaker <wjl@icecavern.net>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Wesley J. Landaker <wjl@icecavern.net>
 Build-Depends: debhelper (>= 5), asciidoc, docbook2x
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Bzr: http://wjl.icecavern.net/bzr/googleearth-package/trunk/
 
 Package: googleearth-package
 Architecture: all
-Depends: wget | curl, dpkg-dev, fakeroot, bzip2, file, x11-common, ia32-libs [amd64 ia64]
+Depends: wget | curl, dpkg-dev, fakeroot, bzip2, file, x11-common, ia32-libs [amd64 ia64], lib32nss-mdns [amd64 ia64]
 Description: utility to automatically build a Debian package of Google Earth
  Google Earth is available for GNU/Linux from their web site, but is
  not only not Free Software, but is completely undistributable by a

## googleearth-package 0.5.6ubuntu2

=== debian/changelog ===
googleearth-package (0.5.6ubuntu2) karmic; urgency=low

  * Accept the current 5.1 version as supported (LP: #447143)
  * Correct broken logic for LD_LIBRARY_PATH (Debian #543575)

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 09 Oct 2009 20:22:32 +0200

googleearth-package (0.5.6ubuntu1) karmic; urgency=low

  * Fix bashism in make-googleearth-package (Closes: #524686)
  * Do not use the shipped libssl (Closes: #537837) LP: #369471

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 01 Sep 2009 23:19:45 +0200

googleearth-package (0.5.6) unstable; urgency=low

  * Fix typo in googleearth wrapper script that broke things.
  * Use dh_prep instead of dh_clean -k
  * Workaround local libcrypto.so.0.9.8 problem (closes: #514122)

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 16 Apr 2009 15:10:48 -0600

googleearth-package (0.5.5) unstable; urgency=low

  * Support Google Earth 5.0 (closes: #514052)
  * Honor users LD_LIBRARY_PATH if already set (closes: #478785)
  * Fix one .desktop file that pointed to the wrong icon (closes: #478266)
  * Refuse to build as root, or in a set[ug]id directory (closes: #467558)
  * Add lib32nss-mdns to amd64 package depends (closes: #479319)
  * Fix invalid expansion in some here-documents (closes: #498384)
  * Update depends to include x11-utils (closes: #505900)
  * Improve the package description somewhat (closes: #499777)
  * Add defaults for name and e-mail on generated package (closes: #511475)
  * Misc shlibdeps invocation improvements (closes: #511475)
  * Suggest ttf-bitstream-vera to get rid of warnings (closes: #471714)
  * Note how to install the package after building (closes: #467161)
  * Update Vcs-Git information
  * Use debhelper v7
  * Update to Debian Policy 3.8.1 (no changes necessary) 

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 16 Apr 2009 11:56:09 -0600

=== debian/control ===
Source: googleearth-package
Section: contrib/misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wesley J. Landaker <wjl@icecavern.net>
Build-Depends: debhelper (>= 7), asciidoc, docbook2x
Standards-Version: 3.8.1
Vcs-Git: git://git.debian.org/git/collab-maint/googleearth-package.git

Package: googleearth-package
Architecture: all
Depends: wget | curl, dpkg-dev, fakeroot, bzip2, file, x11-common, x11-utils, ia32-libs [amd64 ia64], ia32-libs-gtk [amd64 ia64], lib32nss-mdns [amd64]
Description: utility to automatically build a Debian package of Google Earth
 Google Earth is a 3D planet viewer that lets you interactively navigate
 satellite imagery, maps, terrain, and so forth.
 .
 Google Earth is available for GNU/Linux from their web site, but is
 non-free software and is undistributable. It also does not integrate
 well into a Debian system.
 .
 This utility makes it possible to build your own personal Debian
 package of Google Earth. The packaging itself is Free Software, but
 the Google Earth program is governed by the copyright holder (Google),
 so you may be limited as to what you can do with the resulting
 package (i.e. no redistribution, etc). This package will simply help
 you create the package--it is your responsibility to use the resulting
 package responsibly.
 .
 Google Earth's homepage is located at <http://earth.google.com>.

## googleearth-package 0.5.7

=== debian/changelog ===
googleearth-package (0.5.7) unstable; urgency=high
 
  * Workaround symbol problem in libcrypto prevents googleearth from 
    starting (closes: #528029)
  * Accept the current 5.1 version as supported (closes: #550669)
  * Correct broken logic for LD_LIBRARY_PATH (closes: #524686, #524686, #543575)
  * Adopted package (closes: #551773)
  * Moved asciidoc and docbook2x to Build-Depends-Indep in debian/control
  * Changed Standards-Version to 3.8.3 in debian/control
  * Added Vcs-Browser field to debian/control
  * Pointed "GPL" to "/usr/share/common-licenses/GPL-3" in debian/copyright

 -- Adnan Hodzic <adnan@foolcontrol.org>  Tue, 05 Dec 2009 19:56:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: googleearth-package
 Section: contrib/misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Wesley J. Landaker <wjl@icecavern.net>
-Build-Depends: debhelper (>= 7), asciidoc, docbook2x
-Standards-Version: 3.8.1
+Maintainer: Adnan Hodzic <adnan@foolcontrol.org>
+Build-Depends: debhelper (>= 7)
+Build-Depends-Indep: asciidoc, docbook2x
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/collab-maint/googleearth-package.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/googleearth-package.git
 
 Package: googleearth-package
 Architecture: all
@@ -26,4 +27,4 @@
  you create the package--it is your responsibility to use the resulting
  package responsibly.
  .
- Google Earth's homepage is located at <http://earth.google.com>.
+ Google Earth's homepage is located at <http://earth.google.com/>.

## googleearth-package 0.6.1

=== debian/changelog ===
googleearth-package (0.6.1) unstable; urgency=low

  * Altered debian/control, left dependencies solely required for 
    googleearth-package to be built 
  * Added dependencies to make-googleearth-package required solely by Google 
    Earth package to be build and run (Closes: #606049)
  * Solved architecture dependency mix up with addition of "# != i386 dependency 
    field generator" to make-googleearth-package (Closes: #606045)

 -- Adnan Hodzic <adnan@foolcontrol.org>  Mon, 06 Dec 2010 05:43:53 +0100

googleearth-package (0.6.0) unstable; urgency=low

  * New release to cope with new upstream release.
  * Altered "make-googleearth-package":
    - Added support for Google Earth 6 (Closes: #605499, #556102)
    - Until 0.6.0 --force option had to be used in order for package to be build
      this is no longer required (Closes: #569507, #588842, #577078)
    - removed "Workaround symbol problem in libcrypto" (Closes: #567139)
    - take all depends for the generated package from debian/control 
      (Closes: #537380)
  * Altered debian/control:
    - Dependencies added:
      - libqtcore4 (#Closes: 544273)
      - lsb-core (Closes: #605432)
      - libgl1-mesa-glx (Closes: #587761, #534165)
      - ${shlibs:Depends} and ${misc:Depends}
    - Dependencies removed:
      - Removed lib32nss-mdns (Closes: #584635, #535336)
      - Removed arch deps for ia32-libs and ia32-libs-gtk
        (Closes: #510548, #551738, #533104)
    - Suggest nvidia-glx-ia32 (Closes: #541125)
  * Added "homepage" to control (Closes: #561725)
  * Updated standards version, no changes needed.

 -- Adnan Hodzic <adnan@foolcontrol.org>  Wed, 05 Dec 2010 16:11:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: contrib/misc
 Priority: optional
 Maintainer: Adnan Hodzic <adnan@foolcontrol.org>
+Homepage: http://earth.google.com
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: asciidoc, docbook2x
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/googleearth-package.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/googleearth-package.git
 
 Package: googleearth-package
 Architecture: all
-Depends: wget | curl, dpkg-dev, fakeroot, bzip2, file, x11-common, x11-utils, ia32-libs [amd64 ia64], ia32-libs-gtk [amd64 ia64], lib32nss-mdns [amd64]
+Depends: wget | curl, dpkg-dev, fakeroot, bzip2, file, x11-common, x11-utils, ${shlibs:Depends}, ${misc:Depends}
 Description: utility to automatically build a Debian package of Google Earth
  Google Earth is a 3D planet viewer that lets you interactively navigate
  satellite imagery, maps, terrain, and so forth.
@@ -26,5 +27,3 @@
  package (i.e. no redistribution, etc). This package will simply help
  you create the package--it is your responsibility to use the resulting
  package responsibly.
- .
- Google Earth's homepage is located at <http://earth.google.com/>.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	install -m755 -D make-googleearth-package $(DESTDIR)/usr/bin/make-googleearth-package

## googleearth-package 0.7.0

=== debian/changelog ===
googleearth-package (0.7.0) unstable; urgency=low

  * Added debian/patches and 3 patches which helped in resolving:
    + Fixed dpkg-architecture bug which prevented package from being built
      (Closes: #505900)
    + Fixed "make-googleearth-package" exiting with status 1 when used with 
      "--download" (Closes: #535223)
    + Fixed erasing input file without user consent (Closes: #646601)
  * Editted make-googleearth-package script
  	+ changed GoogleEarth_Package version to 0.7.0
    + Removed "$depends" which prevented package from being successfully built 
      (Closes: #649163)
    + replaced nvidia-glx-ia32 suggest with libgl1-nvidia-glx-ia32
    + removed option of displaying dpkg-shlibdeps warnings which resulted in 
      drastically improved build time along with display elimination of 
      dependency warnings
    + added lib32nss-mdns under suggest for amd64 arhictecture
    + added libfreeimage3 as one of te dependencies
    + added "ubuntu checker" which fixes Ubuntu font display problem
  * fixed out-of-date-standards-version 3.9.1 by setting it to 3.9.2 in control
  * edited rules to accommodate recommended-target build-arch and build-indep

 -- Adnan Hodzic <adnan@foolcontrol.org>  Fri, 03 Dec 2011 14:07:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://earth.google.com
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: asciidoc, docbook2x
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/googleearth-package.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/googleearth-package.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
 
 DESTDIR=$(CURDIR)/debian/googleearth-package
+
+build-arch: build
+build-indep: build
+
+build: build-arch build-indep
+      build-arch: build-stamp
+      build-indep: build-stamp
+      build-stamp:
 
 build:
 	$(MAKE)

## googleearth-package 1.0.0

=== debian/changelog ===
googleearth-package (1.0.0) unstable; urgency=low

  * Update for MultiArch (Closes: #695957)
  * Fix Google Earth not being properly identified by
    gnome-shell (Closes: #655400)
  * Fixed infamous "Google Earth has caught signal 11" error.
  * Removed the debian/patches directory
  * Added support for Google Earth 7.x release
  * Includes many fixes to debian/ related files.
    + debian/rules, new simplified rules, adapted to debhelper 9 format
    + debian/control, updated build-dep versioning. 
    + debian/changelog, removed trailing spaces
    + debian/compact, change from 7 to 9
    + debian/copyright, updated copyright format
    + debian/README.Debian, removed empty line
    + debian/source/format, change from "1.0" to "3.0 (native)"
    + properly escaped the minus signs in manpages

 -- Adnan Hodzic <adnan@foolcontrol.org>  Mon, 15 Jul 2013 21:23:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Adnan Hodzic <adnan@foolcontrol.org>
 Homepage: http://earth.google.com
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9), install-info
 Build-Depends-Indep: asciidoc, docbook2x
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/collab-maint/googleearth-package.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/googleearth-package.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/googleearth-package.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/googleearth-package.git
 
 Package: googleearth-package
 Architecture: all
@@ -25,5 +25,5 @@
  the Google Earth program is governed by the copyright holder (Google),
  so you may be limited as to what you can do with the resulting
  package (i.e. no redistribution, etc). This package will simply help
- you create the package--it is your responsibility to use the resulting
+ you create the package, it is your responsibility to use the resulting
  package responsibly.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/googleearth-package


%:
	dh $@

override_dh_install:

	install -m755 -D make-googleearth-package $(DESTDIR)/usr/bin/make-googleearth-package
	dh_install

override_dh_installman:
	
	dh_installman make-googleearth-package.1

## googleearth-package 1.1.0

=== Makefile ===
--- 
+++ 
@@ -7,4 +7,3 @@
 	asciidoc -b docbook -d manpage $<
 	docbook2x-man $*.1.xml
 	rm -f $*.1.xml
-

=== debian/changelog ===
googleearth-package (1.1.0) unstable; urgency=low

  * Removed dependency on ia32-libs package by isolating the
    individual 32-bit libraries and adding them as Depends.
  * Fixed "Invalid HTTP request" problem (Closes: #716695)

 -- Adnan Hodzic <adnan@foolcontrol.org>  Sat, 28 Sep 2013 15:48:01 +0200

googleearth-package (1.0.1) unstable; urgency=low

  * Changed Ubuntu dependency from "ia32-libs-multiarch" to "ia32-libs"

 -- Adnan Hodzic <adnan@foolcontrol.org>  Sat, 31 Aug 2013 18:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: googleearth-package
 Architecture: all
-Depends: wget | curl, dpkg-dev, fakeroot, bzip2, file, x11-common, x11-utils, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, dpkg-dev, fakeroot, bzip2, file, x11-common, x11-utils, ${shlibs:Depends}, ${misc:Depends}
 Description: utility to automatically build a Debian package of Google Earth
  Google Earth is a 3D planet viewer that lets you interactively navigate
  satellite imagery, maps, terrain, and so forth.

## googleearth-package 1.2.2

=== .pc/01_ubuntu-britney.patch/debian/changelog ===
googleearth-package (1.2.0) unstable; urgency=low

  * Add missing "--" when invoking fakeroot to fix
    make-googleearth-package no longer building any
    Debian package (Closes: #757120)
  * Add missing "-O" option when invoking curl to fix
    that curl could not be used for downloading (Closes: #702301)
  * Add additional dependencies which prevent problems with
    the installation of libcurl3:i386
  * Set default locale of make-googleearth-package to "C"
    to fix when parsing KML files on certain locales (Closes: #556102)
  * Make sure Suggests is also created for other than amd64
    archiectures (Closes: #606310)
  * Use proper quoting in path names such that building the
    Google Earth package also works with path names with
    spaces (Closes: #606351)
  * Update maintainer email with my new email address in
    make-googleearth-package script and debian/control

 -- Adnan Hodzic <adnan@hodzic.org>  Wed, 20 Aug 2014 13:00:00 +0200

=== debian/changelog ===
googleearth-package (1.2.2) unstable; urgency=medium

  * Move i386 dependencies from Depends to Recommends to
    avoid installation installabilities in the archive.
    Thanks to Dmitry Shachnev.
  * Add support for interrupted downloads to be resumed.
    Thanks to Gianfranco Costamagna.

 -- Adnan Hodzic <adnan@hodzic.org>  Sun, 28 Sep 2014 20:41:34 +0200

=== .pc/01_ubuntu-britney.patch/debian/control ===
Source: googleearth-package
Section: contrib/misc
Priority: optional
Maintainer: Adnan Hodzic <adnan@hodzic.org>
Homepage: http://earth.google.com
Build-Depends: debhelper (>= 9), install-info
Build-Depends-Indep: asciidoc, docbook2x
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/googleearth-package.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/googleearth-package.git

Package: googleearth-package
Architecture: all
Depends: wget, dpkg-dev, fakeroot, bzip2, file, x11-common, x11-utils, libldap-2.4-2:i386, libdb5.3:i386, libgnutls26:i386, libsasl2-2:i386, libsasl2-modules:i386, libsasl2-modules-db:i386, ${shlibs:Depends}, ${misc:Depends}
Description: utility to automatically build a Debian package of Google Earth
 Google Earth is a 3D planet viewer that lets you interactively navigate
 satellite imagery, maps, terrain, and so forth.
 .
 Google Earth is available for GNU/Linux from their web site, but is
 non-free software and is undistributable. It also does not integrate
 well into a Debian system.
 .
 This utility makes it possible to build your own personal Debian
 package of Google Earth. The packaging itself is Free Software, but
 the Google Earth program is governed by the copyright holder (Google),
 so you may be limited as to what you can do with the resulting
 package (i.e. no redistribution, etc). This package will simply help
 you create the package, it is your responsibility to use the resulting
 package responsibly.

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: googleearth-package
 Section: contrib/misc
 Priority: optional
-Maintainer: Adnan Hodzic <adnan@foolcontrol.org>
+Maintainer: Adnan Hodzic <adnan@hodzic.org>
 Homepage: http://earth.google.com
 Build-Depends: debhelper (>= 9), install-info
 Build-Depends-Indep: asciidoc, docbook2x
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/googleearth-package.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/googleearth-package.git
 
 Package: googleearth-package
 Architecture: all
 Depends: wget, dpkg-dev, fakeroot, bzip2, file, x11-common, x11-utils, ${shlibs:Depends}, ${misc:Depends}
+Recommends: libldap-2.4-2:i386, libdb5.3:i386, libgnutls26:i386, libsasl2-2:i386, libsasl2-modules:i386, libsasl2-modules-db:i386
 Description: utility to automatically build a Debian package of Google Earth
  Google Earth is a 3D planet viewer that lets you interactively navigate
  satellite imagery, maps, terrain, and so forth.

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,3 @@
 override_dh_installman:
 	
 	dh_installman make-googleearth-package.1
-
